import{s as $e,o as be}from"../chunks/scheduler.7bc62968.js";import{S as Ce,i as ke,g as n,s as i,p as Z,A as Pe,h as r,f as e,c as o,j as c,q as tt,m as h,k as l,v as d,a as s,r as et,d as at,t as st,u as nt,x as Se,y as He}from"../chunks/index.9d14b1c2.js";import{T as Te}from"../chunks/Tip.0b56764a.js";import{I as dt}from"../chunks/IconCopyLink.2a97ef6c.js";function Le(ct){let p;return{c(){p=Se("WARNING: all data stored in the storage is lost when you delete it.")},l(f){p=He(f,"WARNING: all data stored in the storage is lost when you delete it.")},m(f,u){s(f,p,u)},d(f){f&&e(p)}}}function Me(ct){let p,f,u,y,rt,P,Yt,W,Rt="Disk usage on Spaces",pt,S,Ut=`Every Space comes with a small amount of disk storage. This disk space is ephemeral, meaning its content will be lost if your Space restarts or is stopped.
If you need to persist data with a longer lifetime than the Space itself, you can:`,ut,H,Ot='<li><a href="#persistent-storage">Subscribe to a persistent storage upgrade</a></li> <li><a href="#dataset-storage">Use a dataset as a data store</a></li>',ft,g,_,it,T,jt,J,Vt="Persistent storage",gt,L,Wt="You can upgrade your Space to have access to persistent disk space from the <strong>Settings</strong> tab.",vt,x,Jt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/spaces-storage-settings.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/spaces-storage-settings-dark.png"/>',mt,M,Kt="You can choose the storage tier of your choice to access disk space that persists across restarts of your Space.",wt,A,Qt="Persistent storage acts like traditional disk storage mounted on <code>/data</code>.",yt,E,Xt="That means you can <code>read</code> and <code>write to</code> this storage from your Space as you would with a traditional hard drive or SSD.",_t,N,Zt="Persistent disk space can be upgraded to a larger tier at will, though it cannot be downgraded to a smaller tier. If you wish to use a smaller persistent storage tier, you must delete your current (larger) storage first.",xt,I,te="If you are using Hugging Face open source libraries, you can make your Space restart faster by setting the environment variable <code>HF_HOME</code> to <code>/data/.huggingface</code>. Libraries like <code>transformers</code>, <code>diffusers</code>, <code>datasets</code> and others use that environment variable to cache any assets downloaded from the Hugging Face Hub. Setting this variable to the persistent storage path will make sure that cached resources do not need to be re-downloaded when the Space is restarted.",$t,$,bt,v,b,ot,B,Ft,K,ee="Persistent storage specs",Ct,q,ae="Here are the specifications for each of the different upgrade options:",kt,D,se="<thead><tr><th><strong>Tier</strong></th> <th><strong>Disk space</strong></th> <th><strong>Persistent</strong></th> <th><strong>Monthly Price</strong></th></tr></thead> <tbody><tr><td>Free tier</td> <td>50GB</td> <td>No (ephemeral)</td> <td>Free!</td></tr> <tr><td>Small</td> <td>20GB</td> <td>Yes</td> <td>$5</td></tr> <tr><td>Medium</td> <td>150 GB</td> <td>Yes</td> <td>$25</td></tr> <tr><td>Large</td> <td>1TB</td> <td>Yes</td> <td>$100</td></tr></tbody>",Pt,m,C,lt,Y,Gt,Q,ne="Billing",St,j,re="Billing of Spaces is based on hardware usage and is computed by the minute: you get charged for every minute the Space runs on the requested hardware, regardless of whether the Space is used.",Ht,F,ie="Persistent storage upgrades are billed until deleted, even when the Space is not running and regardless of Space status or running state.",Tt,G,oe='Additional information about billing can be found in the <a href="./billing">dedicated Hub-wide section</a>.',Lt,w,k,ht,z,zt,X,le="Dataset storage",Mt,R,he='If you need to persist data that lives longer than your Space, you could use a <a href="./datasets">dataset repo</a>.',At,U,de='You can find an example of persistence <a href="https://huggingface.co/spaces/julien-c/persistent-data" rel="nofollow">here</a>, which uses the <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow"><code>huggingface_hub</code> library</a> for programmatically uploading files to a dataset repository.',Et,O,ce=`Visit the <a href="https://huggingface.co/docs/datasets/index" rel="nofollow"><code>datasets</code> library</a> documentation and the <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow"><code>huggingface_hub</code> client library</a>
documentation for more information on how to programmatically interact with dataset repos.`,Nt;return P=new dt({}),T=new dt({}),$=new Te({props:{warning:!0,$$slots:{default:[Le]},$$scope:{ctx:ct}}}),B=new dt({}),Y=new dt({}),z=new dt({}),{c(){p=n("meta"),f=i(),u=n("h1"),y=n("a"),rt=n("span"),Z(P.$$.fragment),Yt=i(),W=n("span"),W.textContent=Rt,pt=i(),S=n("p"),S.textContent=Ut,ut=i(),H=n("ul"),H.innerHTML=Ot,ft=i(),g=n("h2"),_=n("a"),it=n("span"),Z(T.$$.fragment),jt=i(),J=n("span"),J.textContent=Vt,gt=i(),L=n("p"),L.innerHTML=Wt,vt=i(),x=n("div"),x.innerHTML=Jt,mt=i(),M=n("p"),M.textContent=Kt,wt=i(),A=n("p"),A.innerHTML=Qt,yt=i(),E=n("p"),E.innerHTML=Xt,_t=i(),N=n("p"),N.textContent=Zt,xt=i(),I=n("p"),I.innerHTML=te,$t=i(),Z($.$$.fragment),bt=i(),v=n("h3"),b=n("a"),ot=n("span"),Z(B.$$.fragment),Ft=i(),K=n("span"),K.textContent=ee,Ct=i(),q=n("p"),q.textContent=ae,kt=i(),D=n("table"),D.innerHTML=se,Pt=i(),m=n("h3"),C=n("a"),lt=n("span"),Z(Y.$$.fragment),Gt=i(),Q=n("span"),Q.textContent=ne,St=i(),j=n("p"),j.textContent=re,Ht=i(),F=n("p"),F.textContent=ie,Tt=i(),G=n("p"),G.innerHTML=oe,Lt=i(),w=n("h2"),k=n("a"),ht=n("span"),Z(z.$$.fragment),zt=i(),X=n("span"),X.textContent=le,Mt=i(),R=n("p"),R.innerHTML=he,At=i(),U=n("p"),U.innerHTML=de,Et=i(),O=n("p"),O.innerHTML=ce,this.h()},l(t){const a=Pe("svelte-1phssyn",document.head);p=r(a,"META",{name:!0,content:!0}),a.forEach(e),f=o(t),u=r(t,"H1",{class:!0});var V=c(u);y=r(V,"A",{id:!0,class:!0,href:!0});var pe=c(y);rt=r(pe,"SPAN",{});var ue=c(rt);tt(P.$$.fragment,ue),ue.forEach(e),pe.forEach(e),Yt=o(V),W=r(V,"SPAN",{"data-svelte-h":!0}),h(W)!=="svelte-g789vv"&&(W.textContent=Rt),V.forEach(e),pt=o(t),S=r(t,"P",{"data-svelte-h":!0}),h(S)!=="svelte-1uuqw4e"&&(S.textContent=Ut),ut=o(t),H=r(t,"UL",{"data-svelte-h":!0}),h(H)!=="svelte-s2i5z5"&&(H.innerHTML=Ot),ft=o(t),g=r(t,"H2",{class:!0});var It=c(g);_=r(It,"A",{id:!0,class:!0,href:!0});var fe=c(_);it=r(fe,"SPAN",{});var ge=c(it);tt(T.$$.fragment,ge),ge.forEach(e),fe.forEach(e),jt=o(It),J=r(It,"SPAN",{"data-svelte-h":!0}),h(J)!=="svelte-1raqgjp"&&(J.textContent=Vt),It.forEach(e),gt=o(t),L=r(t,"P",{"data-svelte-h":!0}),h(L)!=="svelte-zy6yio"&&(L.innerHTML=Wt),vt=o(t),x=r(t,"DIV",{class:!0,"data-svelte-h":!0}),h(x)!=="svelte-8b3ymf"&&(x.innerHTML=Jt),mt=o(t),M=r(t,"P",{"data-svelte-h":!0}),h(M)!=="svelte-hysq70"&&(M.textContent=Kt),wt=o(t),A=r(t,"P",{"data-svelte-h":!0}),h(A)!=="svelte-4tr3t2"&&(A.innerHTML=Qt),yt=o(t),E=r(t,"P",{"data-svelte-h":!0}),h(E)!=="svelte-9riflz"&&(E.innerHTML=Xt),_t=o(t),N=r(t,"P",{"data-svelte-h":!0}),h(N)!=="svelte-1w3m2y8"&&(N.textContent=Zt),xt=o(t),I=r(t,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1ftozrl"&&(I.innerHTML=te),$t=o(t),tt($.$$.fragment,t),bt=o(t),v=r(t,"H3",{class:!0});var Bt=c(v);b=r(Bt,"A",{id:!0,class:!0,href:!0});var ve=c(b);ot=r(ve,"SPAN",{});var me=c(ot);tt(B.$$.fragment,me),me.forEach(e),ve.forEach(e),Ft=o(Bt),K=r(Bt,"SPAN",{"data-svelte-h":!0}),h(K)!=="svelte-6mist1"&&(K.textContent=ee),Bt.forEach(e),Ct=o(t),q=r(t,"P",{"data-svelte-h":!0}),h(q)!=="svelte-1hjn13w"&&(q.textContent=ae),kt=o(t),D=r(t,"TABLE",{"data-svelte-h":!0}),h(D)!=="svelte-ct41wt"&&(D.innerHTML=se),Pt=o(t),m=r(t,"H3",{class:!0});var qt=c(m);C=r(qt,"A",{id:!0,class:!0,href:!0});var we=c(C);lt=r(we,"SPAN",{});var ye=c(lt);tt(Y.$$.fragment,ye),ye.forEach(e),we.forEach(e),Gt=o(qt),Q=r(qt,"SPAN",{"data-svelte-h":!0}),h(Q)!=="svelte-1d84x5c"&&(Q.textContent=ne),qt.forEach(e),St=o(t),j=r(t,"P",{"data-svelte-h":!0}),h(j)!=="svelte-efv4d4"&&(j.textContent=re),Ht=o(t),F=r(t,"P",{"data-svelte-h":!0}),h(F)!=="svelte-76l176"&&(F.textContent=ie),Tt=o(t),G=r(t,"P",{"data-svelte-h":!0}),h(G)!=="svelte-a71shw"&&(G.innerHTML=oe),Lt=o(t),w=r(t,"H2",{class:!0});var Dt=c(w);k=r(Dt,"A",{id:!0,class:!0,href:!0});var _e=c(k);ht=r(_e,"SPAN",{});var xe=c(ht);tt(z.$$.fragment,xe),xe.forEach(e),_e.forEach(e),zt=o(Dt),X=r(Dt,"SPAN",{"data-svelte-h":!0}),h(X)!=="svelte-178hdfm"&&(X.textContent=le),Dt.forEach(e),Mt=o(t),R=r(t,"P",{"data-svelte-h":!0}),h(R)!=="svelte-hwrlcp"&&(R.innerHTML=he),At=o(t),U=r(t,"P",{"data-svelte-h":!0}),h(U)!=="svelte-12clkhb"&&(U.innerHTML=de),Et=o(t),O=r(t,"P",{"data-svelte-h":!0}),h(O)!=="svelte-1hubrq6"&&(O.innerHTML=ce),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify(Ae)),l(y,"id","disk-usage-on-spaces"),l(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(y,"href","#disk-usage-on-spaces"),l(u,"class","relative group"),l(_,"id","persistent-storage"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#persistent-storage"),l(g,"class","relative group"),l(x,"class","flex justify-center"),l(b,"id","persistent-storage-specs"),l(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(b,"href","#persistent-storage-specs"),l(v,"class","relative group"),l(C,"id","billing"),l(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(C,"href","#billing"),l(m,"class","relative group"),l(k,"id","dataset-storage"),l(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(k,"href","#dataset-storage"),l(w,"class","relative group")},m(t,a){d(document.head,p),s(t,f,a),s(t,u,a),d(u,y),d(y,rt),et(P,rt,null),d(u,Yt),d(u,W),s(t,pt,a),s(t,S,a),s(t,ut,a),s(t,H,a),s(t,ft,a),s(t,g,a),d(g,_),d(_,it),et(T,it,null),d(g,jt),d(g,J),s(t,gt,a),s(t,L,a),s(t,vt,a),s(t,x,a),s(t,mt,a),s(t,M,a),s(t,wt,a),s(t,A,a),s(t,yt,a),s(t,E,a),s(t,_t,a),s(t,N,a),s(t,xt,a),s(t,I,a),s(t,$t,a),et($,t,a),s(t,bt,a),s(t,v,a),d(v,b),d(b,ot),et(B,ot,null),d(v,Ft),d(v,K),s(t,Ct,a),s(t,q,a),s(t,kt,a),s(t,D,a),s(t,Pt,a),s(t,m,a),d(m,C),d(C,lt),et(Y,lt,null),d(m,Gt),d(m,Q),s(t,St,a),s(t,j,a),s(t,Ht,a),s(t,F,a),s(t,Tt,a),s(t,G,a),s(t,Lt,a),s(t,w,a),d(w,k),d(k,ht),et(z,ht,null),d(w,zt),d(w,X),s(t,Mt,a),s(t,R,a),s(t,At,a),s(t,U,a),s(t,Et,a),s(t,O,a),Nt=!0},p(t,[a]){const V={};a&2&&(V.$$scope={dirty:a,ctx:t}),$.$set(V)},i(t){Nt||(at(P.$$.fragment,t),at(T.$$.fragment,t),at($.$$.fragment,t),at(B.$$.fragment,t),at(Y.$$.fragment,t),at(z.$$.fragment,t),Nt=!0)},o(t){st(P.$$.fragment,t),st(T.$$.fragment,t),st($.$$.fragment,t),st(B.$$.fragment,t),st(Y.$$.fragment,t),st(z.$$.fragment,t),Nt=!1},d(t){t&&(e(f),e(u),e(pt),e(S),e(ut),e(H),e(ft),e(g),e(gt),e(L),e(vt),e(x),e(mt),e(M),e(wt),e(A),e(yt),e(E),e(_t),e(N),e(xt),e(I),e($t),e(bt),e(v),e(Ct),e(q),e(kt),e(D),e(Pt),e(m),e(St),e(j),e(Ht),e(F),e(Tt),e(G),e(Lt),e(w),e(Mt),e(R),e(At),e(U),e(Et),e(O)),e(p),nt(P),nt(T),nt($,t),nt(B),nt(Y),nt(z)}}}const Ae={local:"disk-usage-on-spaces",sections:[{local:"persistent-storage",sections:[{local:"persistent-storage-specs",title:"Persistent storage specs"},{local:"billing",title:"Billing"}],title:"Persistent storage"},{local:"dataset-storage",title:"Dataset storage"}],title:"Disk usage on Spaces"};function Ee(ct){return be(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class De extends Ce{constructor(p){super(),ke(this,p,Ee,Me,$e,{})}}export{De as component};
