import{s as ha,n as ca,o as ua}from"../chunks/scheduler.7bc62968.js";import{S as ma,i as pa,g as a,s as d,p as u,x as ye,A as fa,h as o,f as t,c as h,j as s,q as m,m as c,y as be,k as l,v as r,a as n,r as p,d as f,t as v,u as g}from"../chunks/index.9d14b1c2.js";import{I as w}from"../chunks/IconCopyLink.2a97ef6c.js";function va(xt){let y,Se,b,P,xe,q,ht,se,_t="Appendix",Oe,x,S,_e,B,ct,de,At="Appendix A: User Study",Ne,_,O,Ae,F,ut,he,$t="How would you define model cards?",He,z,kt="<strong><em>Insight: Respondents had generally similar views of what model cards are: documentation focused on issues like training, use cases, and bias/limitations</em></strong>",Ie,W,Ct="<li>Model cards are model descriptions, both of how they were trained, their use cases, and potential biases and limitations</li> <li>Documents describing the essential features of a model in order for the reader/user to understand the artefact he/she has in front, the background/training, how it can be used, and its technical/ethical limitations.</li> <li>They serve as a living artefact of models to document them. Model cards contain information that go from a high level description of what the specific model can be used to, to limitations, biases, metrics, and much more. They are used primarily to understand what the model does.</li> <li>Model cards are to models what GitHub READMEs are to GitHub projects. It tells people all the information they need to know about the model. If you don’t write one, nobody will use your model.</li> <li>From what I understand, a model card uses certain benchmarks (geography, culture, sex, etc) to define both a model’s usability and limitations. It’s essentially a model’s ‘nutrition facts label’ that can show how a model was created and educates others on its reusability.</li> <li>Model cards are the metadata and documentation about the model, everything I need to know to use the model properly: info about the model, what paper introduced it, what dataset was it trained on or fine-tuned on, whom does it belong to, are there known risks and limitations with this model, any useful technical info.</li> <li>IMO model cards are a brief presentation of a model which includes:<ul><li>short summary of the architectural particularities of the model</li> <li>describing the data it was trained on</li> <li>what is the performance on reference datasets (accuracy and speed metrics if possible)</li> <li>limitations</li> <li>how to use it in the context of the Transformers library</li> <li>source (original article, Github repo,…)</li></ul></li> <li>Easily accessible documentation that any background can read and learn about critical model components and social impact</li>",De,A,N,$e,V,mt,ce,Et="What do you like about model cards?",Ge,K,Lt="<li>They are interesting to teach people about new models</li> <li>As a non-technical guy, the possibility of getting to know the model, to understand the basics of it, it’s an opportunity for the author to disclose its innovation in a transparent &amp; explainable (i.e. trustworthy) way.</li> <li>I like interactive model cards with visuals and widgets that allow me to try the model without running any code.</li> <li>What I like about good model cards is that you can find all the information you need about that particular model.</li> <li>Model cards are revolutionary to the world of AI ethics. It’s one of the first tangible steps in mitigating/educating on biases in machine learning. They foster greater awareness and accountability!</li> <li>Structured, exhaustive, the more info the better.</li> <li>It helps to get an understanding of what the model is good (or bad) at.</li> <li>Conciseness and accessibility</li>",Re,$,H,ke,X,pt,ue,Mt="What do you dislike about model cards?",Ue,J,Tt=`<li>Might get to technical and/or dense</li> <li><mark>They contain lots of information for different audiences (researchers, engineers, non engineers), so it&#39;s difficult to explore model cards with an intended use cases.</mark> 
* [NOTE: this comment could be addressed with toggle views for different audiences]</li> <li><mark>Good ones are time consuming to create. They are hard to test to make sure the information is up to date. Often times, model cards are formatted completely differently - so you have to sort of figure out how that certain individual has structured theirs.</mark> 
* [NOTE: this comment helps demonstrate the value of a standardized format and automation tools to make it easier to create model cards]</li> <li>Without the help of the community to pitch in supplemental evals, model cards might be subject to inherent biases that the developer might not be aware of. It’s early days for them, but without more thorough evaluations, a model card’s information might be too limited.</li> <li><mark>Empty model cards. No license information - customers need that info and generally don&#39;t have it.</mark></li> <li>They are usually either too concise or too verbose.</li> <li>writing them lol bless you</li>`,je,k,I,Ce,Q,ft,me,Pt="Other key new insights",qe,Y,St="<li>Model cards are best filled out when done by people with different roles: Technical specifications can generally only be filled out by the developers; ethical considerations throughout are generally best informed by people who tend to work on ethical issues.</li> <li>Model users care a lot about licences — specifically, whether a model can legally be used for a specific task.</li>",Be,C,D,Ee,Z,vt,pe,Ot="Appendix B: Landscape Analysis",Fe,E,G,Le,ee,gt,fe,Nt="MODEL CARD EXAMPLES",ze,te,Ht='<li>Google Cloud: <a href="https://modelcards.withgoogle.com/face-detection" rel="nofollow">Face Detection</a>, <a href="https://modelcards.withgoogle.com/object-detection" rel="nofollow">Object Detection</a></li> <li>Google Research: <a href="https://developers.google.com/s/results/ml-kit?q=%22Model%20Card%22" rel="nofollow">ML Kit Vision Models</a>, <a href="https://sites.google.com/view/perception-cv4arvr/blazeface" rel="nofollow">Face Detection</a>, <a href="https://github.com/conversationai/perspectiveapi/tree/main/model-cards" rel="nofollow">Conversation AI</a></li> <li>OpenAI: <a href="https://github.com/openai/gpt-3/blob/master/model-card.md" rel="nofollow">GPT-3</a>, <a href="https://github.com/openai/gpt-2/blob/master/model_card.md" rel="nofollow">GPT-2</a>, <a href="https://github.com/openai/DALL-E/blob/master/model_card.md" rel="nofollow">DALL-E dVAE</a>, <a href="https://github.com/openai/CLIP-featurevis/blob/master/model-card.md" rel="nofollow">CLIP</a></li> <li><a href="https://catalog.ngc.nvidia.com/models?filters=&amp;orderBy=weightPopularASC&amp;query=" rel="nofollow">NVIDIA Model Cards</a></li> <li><a href="https://blog.salesforceairesearch.com/model-cards-for-ai-model-transparency/" rel="nofollow">Salesforce Model Cards</a></li> <li><a href="https://github.com/allenai/allennlp-models/tree/main/allennlp_models/modelcards" rel="nofollow">Allen AI Model Cards</a></li> <li><a href="https://docs.cohere.ai/responsible-use/" rel="nofollow">Co:here AI Model Cards</a></li> <li><a href="https://arxiv.org/pdf/2003.03808.pdf" rel="nofollow">Duke PULSE Model Card</a></li> <li><a href="https://github.com/cgpotts/dynasent/blob/main/dynasent_modelcard.md" rel="nofollow">Stanford Dynasent</a></li> <li><a href="https://gem-benchmark.com/model_cards" rel="nofollow">GEM Model Cards</a></li> <li>Parl.AI: <a href="https://github.com/facebookresearch/ParlAI/tree/main/docs/sample_model_cards" rel="nofollow">Parl.AI sample model cards</a>, <a href="https://github.com/facebookresearch/ParlAI/blob/main/parlai/zoo/blenderbot2/model_card.md" rel="nofollow">BlenderBot 2.0 2.7B</a></li> <li><a href="https://github.com/conversationai/perspectiveapi/tree/main/model-cards" rel="nofollow">Perspective API Model Cards</a></li> <li>See <a href="https://github.com/ivylee/model-cards-and-datasheets" rel="nofollow">https://github.com/ivylee/model-cards-and-datasheets</a> for more examples!</li>',We,L,R,Me,ae,wt,ve,It="MODEL CARDS FOR LARGE LANGUAGE MODELS",Ve,oe,Dt='<li><a href="https://huggingface.co/bigscience/bloom" rel="nofollow">Big Science BLOOM model card</a></li> <li><a href="https://github.com/openai/gpt-2/blob/master/model_card.md" rel="nofollow">GPT-2 Model Card</a></li> <li><a href="https://github.com/openai/gpt-3/blob/master/model-card.md" rel="nofollow">GPT-3 Model Card</a></li> <li><a href="https://github.com/openai/dalle-2-preview/blob/main/system-card.md" rel="nofollow">DALL-E 2 Preview System Card</a></li> <li><a href="https://arxiv.org/pdf/2205.01068.pdf" rel="nofollow">OPT-175B model card</a></li>',Ke,M,U,Te,le,yt,ge,Gt="MODEL CARD GENERATION TOOLS",Xe,re,Rt='<li><a href="https://help.salesforce.com/s/articleView?id=release-notes.rn_bi_edd_model_card.htm&amp;type=5&amp;release=232" rel="nofollow">Salesforce Model Card Creation</a></li> <li><a href="https://ai.googleblog.com/2020/07/introducing-model-card-toolkit-for.html" rel="nofollow">TensorFlow Model Card Toolkit</a><ul><li><a href="https://pypi.org/project/model-card-toolkit/" rel="nofollow">Python library</a></li></ul></li> <li><a href="https://bias.xd.gov/resources/model-card-generator/" rel="nofollow">GSA / US Census Bureau Collaboration on Model Card Generator</a></li> <li><a href="https://parl.ai/docs/tutorial_model_cards.html" rel="nofollow">Parl.AI Auto Generation Tool</a></li> <li><a href="https://www.verifyml.com" rel="nofollow">VerifyML Model Card Generation Web Tool</a></li> <li><a href="https://cran.r-project.org/web/packages/vetiver/vignettes/model-card.html" rel="nofollow">RMarkdown Template for Model Card as part of vetiver package</a></li> <li><a href="https://databaseline.tech/ml-cards/" rel="nofollow">Databaseline ML Cards toolkit</a></li>',Je,T,j,Pe,ie,bt,we,Ut="MODEL CARD EDUCATIONAL TOOLS",Qe,ne,jt='<li><a href="https://huggingface.co/course/chapter4/4?fw=pt" rel="nofollow">Hugging Face Hub docs</a></li> <li><a href="https://developers.perspectiveapi.com/s/about-the-api-model-cards" rel="nofollow">Perspective API</a></li> <li><a href="https://www.kaggle.com/code/var0101/model-cards/tutorial" rel="nofollow">Kaggle</a></li> <li><a href="https://studio.code.org/s/aiml-2021/lessons/8" rel="nofollow">Code.org</a></li> <li><a href="https://unicef.github.io/inventory/data/model-card/" rel="nofollow">UNICEF</a></li>',Ye;return q=new w({}),B=new w({}),F=new w({}),V=new w({}),X=new w({}),Q=new w({}),Z=new w({}),ee=new w({}),ae=new w({}),le=new w({}),ie=new w({}),{c(){y=a("meta"),Se=d(),b=a("h1"),P=a("a"),xe=a("span"),u(q.$$.fragment),ht=d(),se=a("span"),se.textContent=_t,Oe=d(),x=a("h2"),S=a("a"),_e=a("span"),u(B.$$.fragment),ct=d(),de=a("span"),de.textContent=At,Ne=ye(`

_Full text responses to key questions_
`),_=a("h3"),O=a("a"),Ae=a("span"),u(F.$$.fragment),ut=d(),he=a("span"),he.textContent=$t,He=d(),z=a("p"),z.innerHTML=kt,Ie=d(),W=a("ul"),W.innerHTML=Ct,De=d(),A=a("h3"),N=a("a"),$e=a("span"),u(V.$$.fragment),mt=d(),ce=a("span"),ce.textContent=Et,Ge=d(),K=a("ul"),K.innerHTML=Lt,Re=d(),$=a("h3"),H=a("a"),ke=a("span"),u(X.$$.fragment),pt=d(),ue=a("span"),ue.textContent=Mt,Ue=d(),J=a("ul"),J.innerHTML=Tt,je=d(),k=a("h3"),I=a("a"),Ce=a("span"),u(Q.$$.fragment),ft=d(),me=a("span"),me.textContent=Pt,qe=d(),Y=a("ul"),Y.innerHTML=St,Be=d(),C=a("h2"),D=a("a"),Ee=a("span"),u(Z.$$.fragment),vt=d(),pe=a("span"),pe.textContent=Ot,Fe=ye(`

_Overview of the state of model documentation in Machine Learning_
`),E=a("h3"),G=a("a"),Le=a("span"),u(ee.$$.fragment),gt=d(),fe=a("span"),fe.textContent=Nt,ze=ye(`

Examples of model cards and closely-related variants include:
`),te=a("ul"),te.innerHTML=Ht,We=d(),L=a("h3"),R=a("a"),Me=a("span"),u(ae.$$.fragment),wt=d(),ve=a("span"),ve.textContent=It,Ve=ye(`

Large language models are often released with associated documentation. Large language models that have an associated model card (or related documentation tool) include:
`),oe=a("ul"),oe.innerHTML=Dt,Ke=d(),M=a("h3"),U=a("a"),Te=a("span"),u(le.$$.fragment),yt=d(),ge=a("span"),ge.textContent=Gt,Xe=ye(`

Tools for programmatically or interactively generating model cards include:
`),re=a("ul"),re.innerHTML=Rt,Je=d(),T=a("h3"),j=a("a"),Pe=a("span"),u(ie.$$.fragment),bt=d(),we=a("span"),we.textContent=Ut,Qe=ye(`

Tools for understanding model cards and understanding how to create model cards include:
`),ne=a("ul"),ne.innerHTML=jt,this.h()},l(e){const i=fa("svelte-1phssyn",document.head);y=o(i,"META",{name:!0,content:!0}),i.forEach(t),Se=h(e),b=o(e,"H1",{class:!0});var Ze=s(b);P=o(Ze,"A",{id:!0,class:!0,href:!0});var qt=s(P);xe=o(qt,"SPAN",{});var Bt=s(xe);m(q.$$.fragment,Bt),Bt.forEach(t),qt.forEach(t),ht=h(Ze),se=o(Ze,"SPAN",{"data-svelte-h":!0}),c(se)!=="svelte-19y53iq"&&(se.textContent=_t),Ze.forEach(t),Oe=h(e),x=o(e,"H2",{class:!0});var et=s(x);S=o(et,"A",{id:!0,class:!0,href:!0});var Ft=s(S);_e=o(Ft,"SPAN",{});var zt=s(_e);m(B.$$.fragment,zt),zt.forEach(t),Ft.forEach(t),ct=h(et),de=o(et,"SPAN",{"data-svelte-h":!0}),c(de)!=="svelte-1xidf2v"&&(de.textContent=At),et.forEach(t),Ne=be(e,`

_Full text responses to key questions_
`),_=o(e,"H3",{class:!0});var tt=s(_);O=o(tt,"A",{id:!0,class:!0,href:!0});var Wt=s(O);Ae=o(Wt,"SPAN",{});var Vt=s(Ae);m(F.$$.fragment,Vt),Vt.forEach(t),Wt.forEach(t),ut=h(tt),he=o(tt,"SPAN",{"data-svelte-h":!0}),c(he)!=="svelte-a3qcdx"&&(he.textContent=$t),tt.forEach(t),He=h(e),z=o(e,"P",{"data-svelte-h":!0}),c(z)!=="svelte-m55kcy"&&(z.innerHTML=kt),Ie=h(e),W=o(e,"UL",{"data-svelte-h":!0}),c(W)!=="svelte-14alzdm"&&(W.innerHTML=Ct),De=h(e),A=o(e,"H3",{class:!0});var at=s(A);N=o(at,"A",{id:!0,class:!0,href:!0});var Kt=s(N);$e=o(Kt,"SPAN",{});var Xt=s($e);m(V.$$.fragment,Xt),Xt.forEach(t),Kt.forEach(t),mt=h(at),ce=o(at,"SPAN",{"data-svelte-h":!0}),c(ce)!=="svelte-169w9fa"&&(ce.textContent=Et),at.forEach(t),Ge=h(e),K=o(e,"UL",{"data-svelte-h":!0}),c(K)!=="svelte-hci4a3"&&(K.innerHTML=Lt),Re=h(e),$=o(e,"H3",{class:!0});var ot=s($);H=o(ot,"A",{id:!0,class:!0,href:!0});var Jt=s(H);ke=o(Jt,"SPAN",{});var Qt=s(ke);m(X.$$.fragment,Qt),Qt.forEach(t),Jt.forEach(t),pt=h(ot),ue=o(ot,"SPAN",{"data-svelte-h":!0}),c(ue)!=="svelte-1hyefji"&&(ue.textContent=Mt),ot.forEach(t),Ue=h(e),J=o(e,"UL",{"data-svelte-h":!0}),c(J)!=="svelte-15pnzlt"&&(J.innerHTML=Tt),je=h(e),k=o(e,"H3",{class:!0});var lt=s(k);I=o(lt,"A",{id:!0,class:!0,href:!0});var Yt=s(I);Ce=o(Yt,"SPAN",{});var Zt=s(Ce);m(Q.$$.fragment,Zt),Zt.forEach(t),Yt.forEach(t),ft=h(lt),me=o(lt,"SPAN",{"data-svelte-h":!0}),c(me)!=="svelte-1kb0n5d"&&(me.textContent=Pt),lt.forEach(t),qe=h(e),Y=o(e,"UL",{"data-svelte-h":!0}),c(Y)!=="svelte-143h4qv"&&(Y.innerHTML=St),Be=h(e),C=o(e,"H2",{class:!0});var rt=s(C);D=o(rt,"A",{id:!0,class:!0,href:!0});var ea=s(D);Ee=o(ea,"SPAN",{});var ta=s(Ee);m(Z.$$.fragment,ta),ta.forEach(t),ea.forEach(t),vt=h(rt),pe=o(rt,"SPAN",{"data-svelte-h":!0}),c(pe)!=="svelte-13u0oxx"&&(pe.textContent=Ot),rt.forEach(t),Fe=be(e,`

_Overview of the state of model documentation in Machine Learning_
`),E=o(e,"H3",{class:!0});var it=s(E);G=o(it,"A",{id:!0,class:!0,href:!0});var aa=s(G);Le=o(aa,"SPAN",{});var oa=s(Le);m(ee.$$.fragment,oa),oa.forEach(t),aa.forEach(t),gt=h(it),fe=o(it,"SPAN",{"data-svelte-h":!0}),c(fe)!=="svelte-m19o0n"&&(fe.textContent=Nt),it.forEach(t),ze=be(e,`

Examples of model cards and closely-related variants include:
`),te=o(e,"UL",{"data-svelte-h":!0}),c(te)!=="svelte-smm6wx"&&(te.innerHTML=Ht),We=h(e),L=o(e,"H3",{class:!0});var nt=s(L);R=o(nt,"A",{id:!0,class:!0,href:!0});var la=s(R);Me=o(la,"SPAN",{});var ra=s(Me);m(ae.$$.fragment,ra),ra.forEach(t),la.forEach(t),wt=h(nt),ve=o(nt,"SPAN",{"data-svelte-h":!0}),c(ve)!=="svelte-oyx19l"&&(ve.textContent=It),nt.forEach(t),Ve=be(e,`

Large language models are often released with associated documentation. Large language models that have an associated model card (or related documentation tool) include:
`),oe=o(e,"UL",{"data-svelte-h":!0}),c(oe)!=="svelte-45b7d0"&&(oe.innerHTML=Dt),Ke=h(e),M=o(e,"H3",{class:!0});var st=s(M);U=o(st,"A",{id:!0,class:!0,href:!0});var ia=s(U);Te=o(ia,"SPAN",{});var na=s(Te);m(le.$$.fragment,na),na.forEach(t),ia.forEach(t),yt=h(st),ge=o(st,"SPAN",{"data-svelte-h":!0}),c(ge)!=="svelte-1nwjmzt"&&(ge.textContent=Gt),st.forEach(t),Xe=be(e,`

Tools for programmatically or interactively generating model cards include:
`),re=o(e,"UL",{"data-svelte-h":!0}),c(re)!=="svelte-1ajgzaj"&&(re.innerHTML=Rt),Je=h(e),T=o(e,"H3",{class:!0});var dt=s(T);j=o(dt,"A",{id:!0,class:!0,href:!0});var sa=s(j);Pe=o(sa,"SPAN",{});var da=s(Pe);m(ie.$$.fragment,da),da.forEach(t),sa.forEach(t),bt=h(dt),we=o(dt,"SPAN",{"data-svelte-h":!0}),c(we)!=="svelte-el6qm6"&&(we.textContent=Ut),dt.forEach(t),Qe=be(e,`

Tools for understanding model cards and understanding how to create model cards include:
`),ne=o(e,"UL",{"data-svelte-h":!0}),c(ne)!=="svelte-kelxsd"&&(ne.innerHTML=jt),this.h()},h(){l(y,"name","hf:doc:metadata"),l(y,"content",JSON.stringify(ga)),l(P,"id","appendix"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#appendix"),l(b,"class","relative group"),l(S,"id","appendix-a-user-study"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#appendix-a-user-study"),l(x,"class","relative group"),l(O,"id","how-would-you-define-model-cards"),l(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(O,"href","#how-would-you-define-model-cards"),l(_,"class","relative group"),l(N,"id","what-do-you-like-about-model-cards"),l(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(N,"href","#what-do-you-like-about-model-cards"),l(A,"class","relative group"),l(H,"id","what-do-you-dislike-about-model-cards"),l(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(H,"href","#what-do-you-dislike-about-model-cards"),l($,"class","relative group"),l(I,"id","other-key-new-insights"),l(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(I,"href","#other-key-new-insights"),l(k,"class","relative group"),l(D,"id","appendix-b-landscape-analysis"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#appendix-b-landscape-analysis"),l(C,"class","relative group"),l(G,"id","model-card-examples"),l(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(G,"href","#model-card-examples"),l(E,"class","relative group"),l(R,"id","model-cards-for-large-language-models"),l(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(R,"href","#model-cards-for-large-language-models"),l(L,"class","relative group"),l(U,"id","model-card-generation-tools"),l(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(U,"href","#model-card-generation-tools"),l(M,"class","relative group"),l(j,"id","model-card-educational-tools"),l(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(j,"href","#model-card-educational-tools"),l(T,"class","relative group")},m(e,i){r(document.head,y),n(e,Se,i),n(e,b,i),r(b,P),r(P,xe),p(q,xe,null),r(b,ht),r(b,se),n(e,Oe,i),n(e,x,i),r(x,S),r(S,_e),p(B,_e,null),r(x,ct),r(x,de),n(e,Ne,i),n(e,_,i),r(_,O),r(O,Ae),p(F,Ae,null),r(_,ut),r(_,he),n(e,He,i),n(e,z,i),n(e,Ie,i),n(e,W,i),n(e,De,i),n(e,A,i),r(A,N),r(N,$e),p(V,$e,null),r(A,mt),r(A,ce),n(e,Ge,i),n(e,K,i),n(e,Re,i),n(e,$,i),r($,H),r(H,ke),p(X,ke,null),r($,pt),r($,ue),n(e,Ue,i),n(e,J,i),n(e,je,i),n(e,k,i),r(k,I),r(I,Ce),p(Q,Ce,null),r(k,ft),r(k,me),n(e,qe,i),n(e,Y,i),n(e,Be,i),n(e,C,i),r(C,D),r(D,Ee),p(Z,Ee,null),r(C,vt),r(C,pe),n(e,Fe,i),n(e,E,i),r(E,G),r(G,Le),p(ee,Le,null),r(E,gt),r(E,fe),n(e,ze,i),n(e,te,i),n(e,We,i),n(e,L,i),r(L,R),r(R,Me),p(ae,Me,null),r(L,wt),r(L,ve),n(e,Ve,i),n(e,oe,i),n(e,Ke,i),n(e,M,i),r(M,U),r(U,Te),p(le,Te,null),r(M,yt),r(M,ge),n(e,Xe,i),n(e,re,i),n(e,Je,i),n(e,T,i),r(T,j),r(j,Pe),p(ie,Pe,null),r(T,bt),r(T,we),n(e,Qe,i),n(e,ne,i),Ye=!0},p:ca,i(e){Ye||(f(q.$$.fragment,e),f(B.$$.fragment,e),f(F.$$.fragment,e),f(V.$$.fragment,e),f(X.$$.fragment,e),f(Q.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(ae.$$.fragment,e),f(le.$$.fragment,e),f(ie.$$.fragment,e),Ye=!0)},o(e){v(q.$$.fragment,e),v(B.$$.fragment,e),v(F.$$.fragment,e),v(V.$$.fragment,e),v(X.$$.fragment,e),v(Q.$$.fragment,e),v(Z.$$.fragment,e),v(ee.$$.fragment,e),v(ae.$$.fragment,e),v(le.$$.fragment,e),v(ie.$$.fragment,e),Ye=!1},d(e){e&&(t(Se),t(b),t(Oe),t(x),t(Ne),t(_),t(He),t(z),t(Ie),t(W),t(De),t(A),t(Ge),t(K),t(Re),t($),t(Ue),t(J),t(je),t(k),t(qe),t(Y),t(Be),t(C),t(Fe),t(E),t(ze),t(te),t(We),t(L),t(Ve),t(oe),t(Ke),t(M),t(Xe),t(re),t(Je),t(T),t(Qe),t(ne)),t(y),g(q),g(B),g(F),g(V),g(X),g(Q),g(Z),g(ee),g(ae),g(le),g(ie)}}}const ga={local:"appendix",sections:[{local:"appendix-a-user-study",sections:[{local:"how-would-you-define-model-cards",title:"How would you define model cards?"},{local:"what-do-you-like-about-model-cards",title:"What do you like about model cards?"},{local:"what-do-you-dislike-about-model-cards",title:"What do you dislike about model cards?"},{local:"other-key-new-insights",title:"Other key new insights"}],title:"Appendix A: User Study"},{local:"appendix-b-landscape-analysis",sections:[{local:"model-card-examples",title:"MODEL CARD EXAMPLES"},{local:"model-cards-for-large-language-models",title:"MODEL CARDS FOR LARGE LANGUAGE MODELS"},{local:"model-card-generation-tools",title:"MODEL CARD GENERATION TOOLS"},{local:"model-card-educational-tools",title:"MODEL CARD EDUCATIONAL TOOLS"}],title:"Appendix B: Landscape Analysis"}],title:"Appendix"};function wa(xt){return ua(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _a extends ma{constructor(y){super(),pa(this,y,wa,va,ha,{})}}export{_a as component};
