import{s as $t,n as Pt,o as xt}from"../chunks/scheduler.7bc62968.js";import{S as At,i as It,g as n,s as l,p as R,A as bt,h as a,f as t,c as h,j as c,q as Y,m as f,k as i,v as s,a as o,r as J,d as X,t as B,u as G}from"../chunks/index.9d14b1c2.js";import{I as K}from"../chunks/IconCopyLink.2a97ef6c.js";function Ct(De){let p,fe,u,_,re,C,qe,Q,Re="Inference API",pe,k,Ye='Please refer to <a href="https://huggingface.co/docs/api-inference" rel="nofollow">Inference API Documentation</a> for detailed information.',ue,d,$,oe,H,We,V,Je="What technology do you use to power the inference API?",de,L,Xe='For 🤗 Transformers models, <a href="https://huggingface.co/docs/transformers/main_classes/pipelines" rel="nofollow">Pipelines</a> power the API.',me,T,Be="On top of <code>Pipelines</code> and depending on the model type, there are several production optimizations like:",ve,E,Ge='<li>compiling models to optimized intermediary representations (e.g. <a href="https://medium.com/microsoftazure/accelerate-your-nlp-pipelines-using-hugging-face-transformers-and-onnx-runtime-2443578f4333" rel="nofollow">ONNX</a>),</li> <li>maintaining a Least Recently Used cache, ensuring that the most popular models are always loaded,</li> <li>scaling the underlying compute infrastructure on the fly depending on the load constraints.</li>',ge,M,Ke='For models from <a href="./models-libraries">other libraries</a>, the API uses <a href="https://www.starlette.io" rel="nofollow">Starlette</a> and runs in <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images" rel="nofollow">Docker containers</a>. Each library defines the implementation of <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images/sentence_transformers/app/pipelines" rel="nofollow">different pipelines</a>.',we,m,P,ie,S,ze,Z,Qe="How can I turn off the inference API for my model?",ye,N,Ve="Specify <code>inference: false</code> in your model card’s metadata.",_e,v,x,se,q,Fe,ee,Ze="Why don't I see an inference widget or why can't I use the inference API?",$e,W,et=`For some tasks, there might not be support in the inference API, and, hence, there is no widget.
For all libraries (except 🤗 Transformers), there is a <a href="https://github.com/huggingface/hub-docs/blob/main/js/src/lib/interfaces/LibrariesToTasks.ts" rel="nofollow">mapping</a> of library to supported tasks in the API. When a model repository has a task that is not supported by the repository library, the repository has <code>inference: false</code> by default.`,Pe,g,A,le,z,Oe,te,tt="Can I send large volumes of requests? Can I get accelerated APIs?",xe,F,nt="If you are interested in accelerated inference, higher volumes of requests, or an SLA, please contact us at <code>api-enterprise at huggingface.co</code>.",Ae,w,I,he,O,Ue,ne,at="How can I see my usage?",Ie,U,rt='You can head to the <a href="https://api-inference.huggingface.co/dashboard/" rel="nofollow">Inference API dashboard</a>. Learn more about it in the <a href="https://huggingface.co/docs/api-inference/usage" rel="nofollow">Inference API documentation</a>.',be,y,b,ce,j,je,ae,ot="Is there programmatic access to the Inference API?",Ce,D,it='Yes, the <code>huggingface_hub</code> library has a client wrapper documented <a href="https://huggingface.co/docs/huggingface_hub/how-to-inference" rel="nofollow">here</a>.',ke;return C=new K({}),H=new K({}),S=new K({}),q=new K({}),z=new K({}),O=new K({}),j=new K({}),{c(){p=n("meta"),fe=l(),u=n("h1"),_=n("a"),re=n("span"),R(C.$$.fragment),qe=l(),Q=n("span"),Q.textContent=Re,pe=l(),k=n("p"),k.innerHTML=Ye,ue=l(),d=n("h2"),$=n("a"),oe=n("span"),R(H.$$.fragment),We=l(),V=n("span"),V.textContent=Je,de=l(),L=n("p"),L.innerHTML=Xe,me=l(),T=n("p"),T.innerHTML=Be,ve=l(),E=n("ul"),E.innerHTML=Ge,ge=l(),M=n("p"),M.innerHTML=Ke,we=l(),m=n("h2"),P=n("a"),ie=n("span"),R(S.$$.fragment),ze=l(),Z=n("span"),Z.textContent=Qe,ye=l(),N=n("p"),N.innerHTML=Ve,_e=l(),v=n("h2"),x=n("a"),se=n("span"),R(q.$$.fragment),Fe=l(),ee=n("span"),ee.textContent=Ze,$e=l(),W=n("p"),W.innerHTML=et,Pe=l(),g=n("h2"),A=n("a"),le=n("span"),R(z.$$.fragment),Oe=l(),te=n("span"),te.textContent=tt,xe=l(),F=n("p"),F.innerHTML=nt,Ae=l(),w=n("h2"),I=n("a"),he=n("span"),R(O.$$.fragment),Ue=l(),ne=n("span"),ne.textContent=at,Ie=l(),U=n("p"),U.innerHTML=rt,be=l(),y=n("h2"),b=n("a"),ce=n("span"),R(j.$$.fragment),je=l(),ae=n("span"),ae.textContent=ot,Ce=l(),D=n("p"),D.innerHTML=it,this.h()},l(e){const r=bt("svelte-1phssyn",document.head);p=a(r,"META",{name:!0,content:!0}),r.forEach(t),fe=h(e),u=a(e,"H1",{class:!0});var He=c(u);_=a(He,"A",{id:!0,class:!0,href:!0});var st=c(_);re=a(st,"SPAN",{});var lt=c(re);Y(C.$$.fragment,lt),lt.forEach(t),st.forEach(t),qe=h(He),Q=a(He,"SPAN",{"data-svelte-h":!0}),f(Q)!=="svelte-owx0hw"&&(Q.textContent=Re),He.forEach(t),pe=h(e),k=a(e,"P",{"data-svelte-h":!0}),f(k)!=="svelte-gvdnyo"&&(k.innerHTML=Ye),ue=h(e),d=a(e,"H2",{class:!0});var Le=c(d);$=a(Le,"A",{id:!0,class:!0,href:!0});var ht=c($);oe=a(ht,"SPAN",{});var ct=c(oe);Y(H.$$.fragment,ct),ct.forEach(t),ht.forEach(t),We=h(Le),V=a(Le,"SPAN",{"data-svelte-h":!0}),f(V)!=="svelte-1yr3tid"&&(V.textContent=Je),Le.forEach(t),de=h(e),L=a(e,"P",{"data-svelte-h":!0}),f(L)!=="svelte-2iniqr"&&(L.innerHTML=Xe),me=h(e),T=a(e,"P",{"data-svelte-h":!0}),f(T)!=="svelte-1lee1s9"&&(T.innerHTML=Be),ve=h(e),E=a(e,"UL",{"data-svelte-h":!0}),f(E)!=="svelte-1fzm9iw"&&(E.innerHTML=Ge),ge=h(e),M=a(e,"P",{"data-svelte-h":!0}),f(M)!=="svelte-hv7bvp"&&(M.innerHTML=Ke),we=h(e),m=a(e,"H2",{class:!0});var Te=c(m);P=a(Te,"A",{id:!0,class:!0,href:!0});var ft=c(P);ie=a(ft,"SPAN",{});var pt=c(ie);Y(S.$$.fragment,pt),pt.forEach(t),ft.forEach(t),ze=h(Te),Z=a(Te,"SPAN",{"data-svelte-h":!0}),f(Z)!=="svelte-e8muhp"&&(Z.textContent=Qe),Te.forEach(t),ye=h(e),N=a(e,"P",{"data-svelte-h":!0}),f(N)!=="svelte-1o36w5w"&&(N.innerHTML=Ve),_e=h(e),v=a(e,"H2",{class:!0});var Ee=c(v);x=a(Ee,"A",{id:!0,class:!0,href:!0});var ut=c(x);se=a(ut,"SPAN",{});var dt=c(se);Y(q.$$.fragment,dt),dt.forEach(t),ut.forEach(t),Fe=h(Ee),ee=a(Ee,"SPAN",{"data-svelte-h":!0}),f(ee)!=="svelte-1uq1oyc"&&(ee.textContent=Ze),Ee.forEach(t),$e=h(e),W=a(e,"P",{"data-svelte-h":!0}),f(W)!=="svelte-131peg3"&&(W.innerHTML=et),Pe=h(e),g=a(e,"H2",{class:!0});var Me=c(g);A=a(Me,"A",{id:!0,class:!0,href:!0});var mt=c(A);le=a(mt,"SPAN",{});var vt=c(le);Y(z.$$.fragment,vt),vt.forEach(t),mt.forEach(t),Oe=h(Me),te=a(Me,"SPAN",{"data-svelte-h":!0}),f(te)!=="svelte-1pat9be"&&(te.textContent=tt),Me.forEach(t),xe=h(e),F=a(e,"P",{"data-svelte-h":!0}),f(F)!=="svelte-1g95itu"&&(F.innerHTML=nt),Ae=h(e),w=a(e,"H2",{class:!0});var Se=c(w);I=a(Se,"A",{id:!0,class:!0,href:!0});var gt=c(I);he=a(gt,"SPAN",{});var wt=c(he);Y(O.$$.fragment,wt),wt.forEach(t),gt.forEach(t),Ue=h(Se),ne=a(Se,"SPAN",{"data-svelte-h":!0}),f(ne)!=="svelte-s373sh"&&(ne.textContent=at),Se.forEach(t),Ie=h(e),U=a(e,"P",{"data-svelte-h":!0}),f(U)!=="svelte-1ouqarr"&&(U.innerHTML=rt),be=h(e),y=a(e,"H2",{class:!0});var Ne=c(y);b=a(Ne,"A",{id:!0,class:!0,href:!0});var yt=c(b);ce=a(yt,"SPAN",{});var _t=c(ce);Y(j.$$.fragment,_t),_t.forEach(t),yt.forEach(t),je=h(Ne),ae=a(Ne,"SPAN",{"data-svelte-h":!0}),f(ae)!=="svelte-pwdwot"&&(ae.textContent=ot),Ne.forEach(t),Ce=h(e),D=a(e,"P",{"data-svelte-h":!0}),f(D)!=="svelte-5o1vn3"&&(D.innerHTML=it),this.h()},h(){i(p,"name","hf:doc:metadata"),i(p,"content",JSON.stringify(kt)),i(_,"id","inference-api"),i(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(_,"href","#inference-api"),i(u,"class","relative group"),i($,"id","what-technology-do-you-use-to-power-the-inference-api"),i($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i($,"href","#what-technology-do-you-use-to-power-the-inference-api"),i(d,"class","relative group"),i(P,"id","how-can-i-turn-off-the-inference-api-for-my-model"),i(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(P,"href","#how-can-i-turn-off-the-inference-api-for-my-model"),i(m,"class","relative group"),i(x,"id","why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api"),i(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(x,"href","#why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api"),i(v,"class","relative group"),i(A,"id","can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis"),i(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(A,"href","#can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis"),i(g,"class","relative group"),i(I,"id","how-can-i-see-my-usage"),i(I,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(I,"href","#how-can-i-see-my-usage"),i(w,"class","relative group"),i(b,"id","is-there-programmatic-access-to-the-inference-api"),i(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(b,"href","#is-there-programmatic-access-to-the-inference-api"),i(y,"class","relative group")},m(e,r){s(document.head,p),o(e,fe,r),o(e,u,r),s(u,_),s(_,re),J(C,re,null),s(u,qe),s(u,Q),o(e,pe,r),o(e,k,r),o(e,ue,r),o(e,d,r),s(d,$),s($,oe),J(H,oe,null),s(d,We),s(d,V),o(e,de,r),o(e,L,r),o(e,me,r),o(e,T,r),o(e,ve,r),o(e,E,r),o(e,ge,r),o(e,M,r),o(e,we,r),o(e,m,r),s(m,P),s(P,ie),J(S,ie,null),s(m,ze),s(m,Z),o(e,ye,r),o(e,N,r),o(e,_e,r),o(e,v,r),s(v,x),s(x,se),J(q,se,null),s(v,Fe),s(v,ee),o(e,$e,r),o(e,W,r),o(e,Pe,r),o(e,g,r),s(g,A),s(A,le),J(z,le,null),s(g,Oe),s(g,te),o(e,xe,r),o(e,F,r),o(e,Ae,r),o(e,w,r),s(w,I),s(I,he),J(O,he,null),s(w,Ue),s(w,ne),o(e,Ie,r),o(e,U,r),o(e,be,r),o(e,y,r),s(y,b),s(b,ce),J(j,ce,null),s(y,je),s(y,ae),o(e,Ce,r),o(e,D,r),ke=!0},p:Pt,i(e){ke||(X(C.$$.fragment,e),X(H.$$.fragment,e),X(S.$$.fragment,e),X(q.$$.fragment,e),X(z.$$.fragment,e),X(O.$$.fragment,e),X(j.$$.fragment,e),ke=!0)},o(e){B(C.$$.fragment,e),B(H.$$.fragment,e),B(S.$$.fragment,e),B(q.$$.fragment,e),B(z.$$.fragment,e),B(O.$$.fragment,e),B(j.$$.fragment,e),ke=!1},d(e){e&&(t(fe),t(u),t(pe),t(k),t(ue),t(d),t(de),t(L),t(me),t(T),t(ve),t(E),t(ge),t(M),t(we),t(m),t(ye),t(N),t(_e),t(v),t($e),t(W),t(Pe),t(g),t(xe),t(F),t(Ae),t(w),t(Ie),t(U),t(be),t(y),t(Ce),t(D)),t(p),G(C),G(H),G(S),G(q),G(z),G(O),G(j)}}}const kt={local:"inference-api",sections:[{local:"what-technology-do-you-use-to-power-the-inference-api",title:"What technology do you use to power the inference API?"},{local:"how-can-i-turn-off-the-inference-api-for-my-model",title:"How can I turn off the inference API for my model?"},{local:"why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api",title:"Why don't I see an inference widget or why can't I use the inference API?"},{local:"can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis",title:"Can I send large volumes of requests? Can I get accelerated APIs?"},{local:"how-can-i-see-my-usage",title:"How can I see my usage?"},{local:"is-there-programmatic-access-to-the-inference-api",title:"Is there programmatic access to the Inference API?"}],title:"Inference API"};function Ht(De){return xt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Mt extends At{constructor(p){super(),It(this,p,Ht,Ct,$t,{})}}export{Mt as component};
