import{s as pt,n as mt,o as ft}from"../chunks/scheduler.7bc62968.js";import{S as gt,i as vt,g as i,s,p as B,A as yt,h as l,f as t,c as n,j as u,q as D,m as h,k as r,v as d,a as o,r as J,d as R,t as W,u as K}from"../chunks/index.9d14b1c2.js";import{I as le}from"../chunks/IconCopyLink.2a97ef6c.js";import{C as bt}from"../chunks/CodeBlock.631ff4e0.js";function wt(Ve){let c,se,p,y,ee,k,Ee,z,Ie="Using Asteroid at Hugging Face",ne,H,qe="<code>asteroid</code> is a Pytorch toolkit for audio source separation. It enables fast experimentation on common datasets with support for a large range of datasets and recipes to reproduce papers.",re,m,b,te,A,Ne,O,Fe="Exploring Asteroid in the Hub",de,M,Ge='You can find <code>asteroid</code> models by filtering at the left of the <a href="https://huggingface.co/models?filter=asteroid" rel="nofollow">models page</a>.',he,T,Ze="All models on the Hub come up with the following features:",ue,L,ze="<li>An automatically generated model card with a description, a training configuration, metrics and more.</li> <li>Metadata tags that help for discoverability and contain information such as license and datasets.</li> <li>An interactive widget you can use to play out with the model directly in the browser.</li> <li>An Inference API that allows to make inference requests.</li>",ce,w,Oe='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_widget-dark.png"/>',pe,f,_,ae,P,Se,X,Xe="Using existing models",me,E,Ye='For a full guide on loading pre-trained models, we recommend checking out the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">official guide</a>.',fe,N,Qe="All model classes (<code>BaseModel</code>, <code>ConvTasNet</code>, etc) have a <code>from_pretrained</code> method that allows to load models from the Hub.",ge,S,ve,U,Be="If you want to see how to load a specific model, you can click <code>Use in Adapter Transformers</code> and you will be given a working snippet that you can load it!",ye,x,De='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/libraries-transformers_snippet-dark.png"/>',be,g,$,oe,j,Ue,Y,Je="Sharing your models",we,V,Re='At the moment there is no automatic method to upload your models to the Hub, but the process to upload them is documented in the <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md#share-your-models" rel="nofollow">official guide</a>.',_e,I,We="All the recipes create all the needed files to upload a model to the Hub. The process usually involves the following steps:",xe,q,Ke="<li>Create and clone a model repository.</li> <li>Moving files from the recipe output to the repository (model card, model filte, TensorBoard traces).</li> <li>Push the files (<code>git add</code> + <code>git commit</code> + <code>git push</code>).</li>",$e,F,et="Once you do this, you can try out your model directly in the browser and share it with the rest of the community.",Ce,v,C,ie,G,je,Q,tt="Additional resources",ke,Z,at='<li>Asteroid <a href="https://asteroid-team.github.io/" rel="nofollow">website</a>.</li> <li>Asteroid <a href="https://github.com/asteroid-team/asteroid" rel="nofollow">library</a>.</li> <li>Integration <a href="https://github.com/asteroid-team/asteroid/blob/master/docs/source/readmes/pretrained_models.md" rel="nofollow">docs</a>.</li>',He;return k=new le({}),A=new le({}),P=new le({}),S=new bt({props:{code:"ZnJvbSUyMGFzdGVyb2lkLm1vZGVscyUyMGltcG9ydCUyMENvbnZUYXNOZXQlMEFtb2RlbCUyMCUzRCUyMENvbnZUYXNOZXQuZnJvbV9wcmV0cmFpbmVkKCdtcGFyaWVudGUlMkZDb252VGFzTmV0X1dIQU1fc2VwY2xlYW4nKQ==",highlighted:`<span class="hljs-keyword">from</span> asteroid.models <span class="hljs-keyword">import</span> ConvTasNet
model = ConvTasNet.from_pretrained(<span class="hljs-string">&#x27;mpariente/ConvTasNet_WHAM_sepclean&#x27;</span>)`}}),j=new le({}),G=new le({}),{c(){c=i("meta"),se=s(),p=i("h1"),y=i("a"),ee=i("span"),B(k.$$.fragment),Ee=s(),z=i("span"),z.textContent=Ie,ne=s(),H=i("p"),H.innerHTML=qe,re=s(),m=i("h2"),b=i("a"),te=i("span"),B(A.$$.fragment),Ne=s(),O=i("span"),O.textContent=Fe,de=s(),M=i("p"),M.innerHTML=Ge,he=s(),T=i("p"),T.textContent=Ze,ue=s(),L=i("ol"),L.innerHTML=ze,ce=s(),w=i("div"),w.innerHTML=Oe,pe=s(),f=i("h2"),_=i("a"),ae=i("span"),B(P.$$.fragment),Se=s(),X=i("span"),X.textContent=Xe,me=s(),E=i("p"),E.innerHTML=Ye,fe=s(),N=i("p"),N.innerHTML=Qe,ge=s(),B(S.$$.fragment),ve=s(),U=i("p"),U.innerHTML=Be,ye=s(),x=i("div"),x.innerHTML=De,be=s(),g=i("h2"),$=i("a"),oe=i("span"),B(j.$$.fragment),Ue=s(),Y=i("span"),Y.textContent=Je,we=s(),V=i("p"),V.innerHTML=Re,_e=s(),I=i("p"),I.textContent=We,xe=s(),q=i("ol"),q.innerHTML=Ke,$e=s(),F=i("p"),F.textContent=et,Ce=s(),v=i("h2"),C=i("a"),ie=i("span"),B(G.$$.fragment),je=s(),Q=i("span"),Q.textContent=tt,ke=s(),Z=i("ul"),Z.innerHTML=at,this.h()},l(e){const a=yt("svelte-1phssyn",document.head);c=l(a,"META",{name:!0,content:!0}),a.forEach(t),se=n(e),p=l(e,"H1",{class:!0});var Ae=u(p);y=l(Ae,"A",{id:!0,class:!0,href:!0});var ot=u(y);ee=l(ot,"SPAN",{});var it=u(ee);D(k.$$.fragment,it),it.forEach(t),ot.forEach(t),Ee=n(Ae),z=l(Ae,"SPAN",{"data-svelte-h":!0}),h(z)!=="svelte-aepujz"&&(z.textContent=Ie),Ae.forEach(t),ne=n(e),H=l(e,"P",{"data-svelte-h":!0}),h(H)!=="svelte-1qjlbp6"&&(H.innerHTML=qe),re=n(e),m=l(e,"H2",{class:!0});var Me=u(m);b=l(Me,"A",{id:!0,class:!0,href:!0});var lt=u(b);te=l(lt,"SPAN",{});var st=u(te);D(A.$$.fragment,st),st.forEach(t),lt.forEach(t),Ne=n(Me),O=l(Me,"SPAN",{"data-svelte-h":!0}),h(O)!=="svelte-bbh533"&&(O.textContent=Fe),Me.forEach(t),de=n(e),M=l(e,"P",{"data-svelte-h":!0}),h(M)!=="svelte-1ub76b"&&(M.innerHTML=Ge),he=n(e),T=l(e,"P",{"data-svelte-h":!0}),h(T)!=="svelte-t2majo"&&(T.textContent=Ze),ue=n(e),L=l(e,"OL",{"data-svelte-h":!0}),h(L)!=="svelte-8y4v49"&&(L.innerHTML=ze),ce=n(e),w=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(w)!=="svelte-435q1z"&&(w.innerHTML=Oe),pe=n(e),f=l(e,"H2",{class:!0});var Te=u(f);_=l(Te,"A",{id:!0,class:!0,href:!0});var nt=u(_);ae=l(nt,"SPAN",{});var rt=u(ae);D(P.$$.fragment,rt),rt.forEach(t),nt.forEach(t),Se=n(Te),X=l(Te,"SPAN",{"data-svelte-h":!0}),h(X)!=="svelte-1ydjt5y"&&(X.textContent=Xe),Te.forEach(t),me=n(e),E=l(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-ofs9i1"&&(E.innerHTML=Ye),fe=n(e),N=l(e,"P",{"data-svelte-h":!0}),h(N)!=="svelte-1nqrvc0"&&(N.innerHTML=Qe),ge=n(e),D(S.$$.fragment,e),ve=n(e),U=l(e,"P",{"data-svelte-h":!0}),h(U)!=="svelte-1tjoh4p"&&(U.innerHTML=Be),ye=n(e),x=l(e,"DIV",{class:!0,"data-svelte-h":!0}),h(x)!=="svelte-125odup"&&(x.innerHTML=De),be=n(e),g=l(e,"H2",{class:!0});var Le=u(g);$=l(Le,"A",{id:!0,class:!0,href:!0});var dt=u($);oe=l(dt,"SPAN",{});var ht=u(oe);D(j.$$.fragment,ht),ht.forEach(t),dt.forEach(t),Ue=n(Le),Y=l(Le,"SPAN",{"data-svelte-h":!0}),h(Y)!=="svelte-1okndmg"&&(Y.textContent=Je),Le.forEach(t),we=n(e),V=l(e,"P",{"data-svelte-h":!0}),h(V)!=="svelte-mr4xsw"&&(V.innerHTML=Re),_e=n(e),I=l(e,"P",{"data-svelte-h":!0}),h(I)!=="svelte-1y63q62"&&(I.textContent=We),xe=n(e),q=l(e,"OL",{"data-svelte-h":!0}),h(q)!=="svelte-equ67y"&&(q.innerHTML=Ke),$e=n(e),F=l(e,"P",{"data-svelte-h":!0}),h(F)!=="svelte-14zae00"&&(F.textContent=et),Ce=n(e),v=l(e,"H2",{class:!0});var Pe=u(v);C=l(Pe,"A",{id:!0,class:!0,href:!0});var ut=u(C);ie=l(ut,"SPAN",{});var ct=u(ie);D(G.$$.fragment,ct),ct.forEach(t),ut.forEach(t),je=n(Pe),Q=l(Pe,"SPAN",{"data-svelte-h":!0}),h(Q)!=="svelte-4447zp"&&(Q.textContent=tt),Pe.forEach(t),ke=n(e),Z=l(e,"UL",{"data-svelte-h":!0}),h(Z)!=="svelte-sfho8j"&&(Z.innerHTML=at),this.h()},h(){r(c,"name","hf:doc:metadata"),r(c,"content",JSON.stringify(_t)),r(y,"id","using-asteroid-at-hugging-face"),r(y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(y,"href","#using-asteroid-at-hugging-face"),r(p,"class","relative group"),r(b,"id","exploring-asteroid-in-the-hub"),r(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(b,"href","#exploring-asteroid-in-the-hub"),r(m,"class","relative group"),r(w,"class","flex justify-center"),r(_,"id","using-existing-models"),r(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(_,"href","#using-existing-models"),r(f,"class","relative group"),r(x,"class","flex justify-center"),r($,"id","sharing-your-models"),r($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r($,"href","#sharing-your-models"),r(g,"class","relative group"),r(C,"id","additional-resources"),r(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),r(C,"href","#additional-resources"),r(v,"class","relative group")},m(e,a){d(document.head,c),o(e,se,a),o(e,p,a),d(p,y),d(y,ee),J(k,ee,null),d(p,Ee),d(p,z),o(e,ne,a),o(e,H,a),o(e,re,a),o(e,m,a),d(m,b),d(b,te),J(A,te,null),d(m,Ne),d(m,O),o(e,de,a),o(e,M,a),o(e,he,a),o(e,T,a),o(e,ue,a),o(e,L,a),o(e,ce,a),o(e,w,a),o(e,pe,a),o(e,f,a),d(f,_),d(_,ae),J(P,ae,null),d(f,Se),d(f,X),o(e,me,a),o(e,E,a),o(e,fe,a),o(e,N,a),o(e,ge,a),J(S,e,a),o(e,ve,a),o(e,U,a),o(e,ye,a),o(e,x,a),o(e,be,a),o(e,g,a),d(g,$),d($,oe),J(j,oe,null),d(g,Ue),d(g,Y),o(e,we,a),o(e,V,a),o(e,_e,a),o(e,I,a),o(e,xe,a),o(e,q,a),o(e,$e,a),o(e,F,a),o(e,Ce,a),o(e,v,a),d(v,C),d(C,ie),J(G,ie,null),d(v,je),d(v,Q),o(e,ke,a),o(e,Z,a),He=!0},p:mt,i(e){He||(R(k.$$.fragment,e),R(A.$$.fragment,e),R(P.$$.fragment,e),R(S.$$.fragment,e),R(j.$$.fragment,e),R(G.$$.fragment,e),He=!0)},o(e){W(k.$$.fragment,e),W(A.$$.fragment,e),W(P.$$.fragment,e),W(S.$$.fragment,e),W(j.$$.fragment,e),W(G.$$.fragment,e),He=!1},d(e){e&&(t(se),t(p),t(ne),t(H),t(re),t(m),t(de),t(M),t(he),t(T),t(ue),t(L),t(ce),t(w),t(pe),t(f),t(me),t(E),t(fe),t(N),t(ge),t(ve),t(U),t(ye),t(x),t(be),t(g),t(we),t(V),t(_e),t(I),t(xe),t(q),t($e),t(F),t(Ce),t(v),t(ke),t(Z)),t(c),K(k),K(A),K(P),K(S,e),K(j),K(G)}}}const _t={local:"using-asteroid-at-hugging-face",sections:[{local:"exploring-asteroid-in-the-hub",title:"Exploring Asteroid in the Hub"},{local:"using-existing-models",title:"Using existing models"},{local:"sharing-your-models",title:"Sharing your models"},{local:"additional-resources",title:"Additional resources"}],title:"Using Asteroid at Hugging Face"};function xt(Ve){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class At extends gt{constructor(c){super(),vt(this,c,xt,wt,pt,{})}}export{At as component};
