import{s as li,n as si,o as ai}from"../chunks/scheduler.7bc62968.js";import{S as ri,i as ui,g as o,s,p as y,A as hi,h as l,f as e,c as a,j as p,q as w,m as r,k as u,v as h,a as n,r as k,d as x,t as T,u as $}from"../chunks/index.9d14b1c2.js";import{I as xt}from"../chunks/IconCopyLink.2a97ef6c.js";import{C as he}from"../chunks/CodeBlock.631ff4e0.js";function pi(de){let c,Tt,g,C,dt,L,pe,pt,ve="Signing commits with GPG",$t,E,ye="<code>git</code> has an authentication layer to control who can push commits to a repo, but it does not authenticate the actual commit authors.",Ct,S,we="In other words, you can commit changes as <code>Elon Musk &lt;elon@tesla.com&gt;</code>, push them to your preferred <code>git</code> host (for instance github.com), and your commit will link to Elon’s GitHub profile. (Try it! But don’t blame us if Elon gets mad at you for impersonating him.)",bt,A,ke="The reasons we implemented GPG signing were:",Mt,I,xe="<li>To provide finer-grained security, especially as more and more Enterprise users rely on the Hub.</li> <li>To provide ML benchmarks backed by a cryptographically-secure source.</li>",_t,U,Te='See Ale Segala’s <a href="https://withblue.ink/2020/05/17/how-and-why-to-sign-git-commits.html" rel="nofollow">How (and why) to sign <code>git</code> commits</a> for more context.',Gt,J,$e="You can prove a commit was authored by you with GNU Privacy Guard (GPG) and a key server. GPG is a cryptographic tool used to verify the authenticity of a message’s origin. We’ll explain how to set this up on Hugging Face below.",Pt,N,Ce='The Pro Git book is, as usual, a good resource about commit signing: <a href="https://git-scm.com/book/en/v2/Git-Tools-Signing-Your-Work" rel="nofollow">Pro Git: Signing your work</a>.',Ht,m,b,vt,W,ce,ct,be="Setting up signed commits verification",Lt,Y,Me='You will need to install <a href="https://gnupg.org/" rel="nofollow">GPG</a> on your system in order to execute the following commands.',Et,j,_e=`<p>It’s included by default in most Linux distributions.
On Windows, it is included in Git Bash (which comes with <code>git</code> for Windows).</p>`,St,q,Ge=`You can sign your commits locally using <a href="https://gnupg.org/" rel="nofollow">GPG</a>.
Then configure your profile to mark these commits as <strong>verified</strong> on the Hub,
so other people can be confident that they come from a trusted source.`,At,B,Pe='For a more in-depth explanation of how git and GPG interact, please visit the the <a href="https://git-scm.com/book/en/v2/Git-Tools-Signing-Your-Work" rel="nofollow">git documentation on the subject</a>',It,F,He="Commits can have the following signing statuses:",Ut,Z,Le="<thead><tr><th>Status</th> <th>Explanation</th></tr></thead> <tbody><tr><td>Verified</td> <td>The commit is signed and the signature is verified</td></tr> <tr><td>Unverified</td> <td>The commit is signed but the signature could not be verified</td></tr> <tr><td>No signing status</td> <td>The commit is not signed</td></tr></tbody>",Jt,O,Ee="For a commit to be marked as <strong>verified</strong>, you need to upload the public key used to sign it on your Hugging Face account.",Nt,z,Se=`Use the <code>gpg --list-secret-keys</code> command to list the GPG keys for which you have both a public and private key.
A private key is required for signing commits or tags.`,Wt,Q,Ae="If you don’t have a GPG key pair or you don’t want to use the existing keys to sign your commits, go to <strong>Generating a new GPG key</strong>.",Yt,V,Ie='Otherwise, go straight to  <a href="#adding-a-gpg-key-to-your-account">Adding a GPG key to your account</a>.',jt,f,M,yt,K,ge,gt,Ue="Generating a new GPG key",qt,X,Je="To generate a GPG key, run the following:",Bt,D,Ft,R,Ne="GPG will then guide you through the process of creating a GPG key pair.",Zt,tt,We='Make sure you specify an email address for this key, and that the email address matches the one you specified in your Hugging Face <a href="https://huggingface.co/settings/account" rel="nofollow">account</a>.',Ot,d,_,wt,et,me,mt,Ye="Adding a GPG key to your account",zt,it,je='<li><p>First, select or generate a GPG key on your computer. Make sure the email address of the key matches the one in your Hugging Face <a href="https://huggingface.co/settings/account" rel="nofollow">account</a> and that the email of your account is verified.</p></li> <li><p>Export the public part of the selected key:</p></li>',Qt,nt,Vt,G,qe='<li>Then visit your profile <a href="https://huggingface.co/settings/keys" rel="nofollow">settings page</a> and click on <strong>Add GPG Key</strong>.</li>',Kt,ot,Be="Copy &amp; paste the output of the <code>gpg --export</code> command in the text area and click on <strong>Add Key</strong>.",Xt,P,Fe="<li>Congratulations! 🎉  You’ve just added a GPG key to your account!</li>",Dt,v,H,kt,lt,fe,ft,Ze="Configure git to sign your commits with GPG",Rt,st,Oe="The last step is to configure git to sign your commits:",te,at,ee,rt,ze="Then add the <code>-S</code> flag to your <code>git commit</code> commands to sign your commits!",ie,ut,ne,ht,Qe="Once pushed on the Hub, you should see the commit with a “Verified” badge.",oe;return L=new xt({}),W=new xt({}),K=new xt({}),D=new he({props:{code:"Z3BnJTIwLS1nZW4ta2V5",highlighted:"gpg --gen-key"}}),et=new xt({}),nt=new he({props:{code:"Z3BnJTIwLS1hcm1vciUyMC0tZXhwb3J0JTIwJTNDWU9VUiUyMEtFWSUyMElEJTNF",highlighted:'gpg --armor --<span class="hljs-built_in">export</span> &lt;YOUR KEY ID&gt;'}}),lt=new xt({}),at=new he({props:{code:"Z2l0JTIwY29uZmlnJTIwdXNlci5zaWduaW5na2V5JTIwJTNDWW91ciUyMEdQRyUyMEtleSUyMElEJTNFJTBBZ2l0JTIwY29uZmlnJTIwdXNlci5lbWFpbCUyMCUzQ1lvdXIlMjBlbWFpbCUyMG9uJTIwaGYuY28lM0U=",highlighted:`git config user.signingkey &lt;Your GPG Key ID&gt;
git config user.email &lt;Your email on hf.co&gt;`}}),ut=new he({props:{code:"Z2l0JTIwY29tbWl0JTIwLVMlMjAtbSUyMCUyMk15JTIwZmlyc3QlMjBzaWduZWQlMjBjb21taXQlMjI=",highlighted:'git commit -S -m <span class="hljs-string">&quot;My first signed commit&quot;</span>'}}),{c(){c=o("meta"),Tt=s(),g=o("h1"),C=o("a"),dt=o("span"),y(L.$$.fragment),pe=s(),pt=o("span"),pt.textContent=ve,$t=s(),E=o("p"),E.innerHTML=ye,Ct=s(),S=o("p"),S.innerHTML=we,bt=s(),A=o("p"),A.textContent=ke,Mt=s(),I=o("ul"),I.innerHTML=xe,_t=s(),U=o("p"),U.innerHTML=Te,Gt=s(),J=o("p"),J.textContent=$e,Pt=s(),N=o("p"),N.innerHTML=Ce,Ht=s(),m=o("h2"),b=o("a"),vt=o("span"),y(W.$$.fragment),ce=s(),ct=o("span"),ct.textContent=be,Lt=s(),Y=o("p"),Y.innerHTML=Me,Et=s(),j=o("blockquote"),j.innerHTML=_e,St=s(),q=o("p"),q.innerHTML=Ge,At=s(),B=o("p"),B.innerHTML=Pe,It=s(),F=o("p"),F.textContent=He,Ut=s(),Z=o("table"),Z.innerHTML=Le,Jt=s(),O=o("p"),O.innerHTML=Ee,Nt=s(),z=o("p"),z.innerHTML=Se,Wt=s(),Q=o("p"),Q.innerHTML=Ae,Yt=s(),V=o("p"),V.innerHTML=Ie,jt=s(),f=o("h2"),M=o("a"),yt=o("span"),y(K.$$.fragment),ge=s(),gt=o("span"),gt.textContent=Ue,qt=s(),X=o("p"),X.textContent=Je,Bt=s(),y(D.$$.fragment),Ft=s(),R=o("p"),R.textContent=Ne,Zt=s(),tt=o("p"),tt.innerHTML=We,Ot=s(),d=o("h2"),_=o("a"),wt=o("span"),y(et.$$.fragment),me=s(),mt=o("span"),mt.textContent=Ye,zt=s(),it=o("ol"),it.innerHTML=je,Qt=s(),y(nt.$$.fragment),Vt=s(),G=o("ol"),G.innerHTML=qe,Kt=s(),ot=o("p"),ot.innerHTML=Be,Xt=s(),P=o("ol"),P.innerHTML=Fe,Dt=s(),v=o("h2"),H=o("a"),kt=o("span"),y(lt.$$.fragment),fe=s(),ft=o("span"),ft.textContent=Ze,Rt=s(),st=o("p"),st.textContent=Oe,te=s(),y(at.$$.fragment),ee=s(),rt=o("p"),rt.innerHTML=ze,ie=s(),y(ut.$$.fragment),ne=s(),ht=o("p"),ht.textContent=Qe,this.h()},l(t){const i=hi("svelte-1phssyn",document.head);c=l(i,"META",{name:!0,content:!0}),i.forEach(e),Tt=a(t),g=l(t,"H1",{class:!0});var le=p(g);C=l(le,"A",{id:!0,class:!0,href:!0});var Ve=p(C);dt=l(Ve,"SPAN",{});var Ke=p(dt);w(L.$$.fragment,Ke),Ke.forEach(e),Ve.forEach(e),pe=a(le),pt=l(le,"SPAN",{"data-svelte-h":!0}),r(pt)!=="svelte-1ohul40"&&(pt.textContent=ve),le.forEach(e),$t=a(t),E=l(t,"P",{"data-svelte-h":!0}),r(E)!=="svelte-16xioii"&&(E.innerHTML=ye),Ct=a(t),S=l(t,"P",{"data-svelte-h":!0}),r(S)!=="svelte-1496un1"&&(S.innerHTML=we),bt=a(t),A=l(t,"P",{"data-svelte-h":!0}),r(A)!=="svelte-iec5lg"&&(A.textContent=ke),Mt=a(t),I=l(t,"UL",{"data-svelte-h":!0}),r(I)!=="svelte-1ruuqle"&&(I.innerHTML=xe),_t=a(t),U=l(t,"P",{"data-svelte-h":!0}),r(U)!=="svelte-y864g7"&&(U.innerHTML=Te),Gt=a(t),J=l(t,"P",{"data-svelte-h":!0}),r(J)!=="svelte-n96a7q"&&(J.textContent=$e),Pt=a(t),N=l(t,"P",{"data-svelte-h":!0}),r(N)!=="svelte-138n0c9"&&(N.innerHTML=Ce),Ht=a(t),m=l(t,"H2",{class:!0});var se=p(m);b=l(se,"A",{id:!0,class:!0,href:!0});var Xe=p(b);vt=l(Xe,"SPAN",{});var De=p(vt);w(W.$$.fragment,De),De.forEach(e),Xe.forEach(e),ce=a(se),ct=l(se,"SPAN",{"data-svelte-h":!0}),r(ct)!=="svelte-1h8l0l9"&&(ct.textContent=be),se.forEach(e),Lt=a(t),Y=l(t,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1p8rrlz"&&(Y.innerHTML=Me),Et=a(t),j=l(t,"BLOCKQUOTE",{"data-svelte-h":!0}),r(j)!=="svelte-osktdt"&&(j.innerHTML=_e),St=a(t),q=l(t,"P",{"data-svelte-h":!0}),r(q)!=="svelte-6aimav"&&(q.innerHTML=Ge),At=a(t),B=l(t,"P",{"data-svelte-h":!0}),r(B)!=="svelte-10krbex"&&(B.innerHTML=Pe),It=a(t),F=l(t,"P",{"data-svelte-h":!0}),r(F)!=="svelte-b4b7dr"&&(F.textContent=He),Ut=a(t),Z=l(t,"TABLE",{"data-svelte-h":!0}),r(Z)!=="svelte-8x81wm"&&(Z.innerHTML=Le),Jt=a(t),O=l(t,"P",{"data-svelte-h":!0}),r(O)!=="svelte-fgh5wb"&&(O.innerHTML=Ee),Nt=a(t),z=l(t,"P",{"data-svelte-h":!0}),r(z)!=="svelte-1pe2s2l"&&(z.innerHTML=Se),Wt=a(t),Q=l(t,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-okgo5j"&&(Q.innerHTML=Ae),Yt=a(t),V=l(t,"P",{"data-svelte-h":!0}),r(V)!=="svelte-1dhnlqh"&&(V.innerHTML=Ie),jt=a(t),f=l(t,"H2",{class:!0});var ae=p(f);M=l(ae,"A",{id:!0,class:!0,href:!0});var Re=p(M);yt=l(Re,"SPAN",{});var ti=p(yt);w(K.$$.fragment,ti),ti.forEach(e),Re.forEach(e),ge=a(ae),gt=l(ae,"SPAN",{"data-svelte-h":!0}),r(gt)!=="svelte-11p37bb"&&(gt.textContent=Ue),ae.forEach(e),qt=a(t),X=l(t,"P",{"data-svelte-h":!0}),r(X)!=="svelte-emmsc9"&&(X.textContent=Je),Bt=a(t),w(D.$$.fragment,t),Ft=a(t),R=l(t,"P",{"data-svelte-h":!0}),r(R)!=="svelte-yy4ur9"&&(R.textContent=Ne),Zt=a(t),tt=l(t,"P",{"data-svelte-h":!0}),r(tt)!=="svelte-1u70yn5"&&(tt.innerHTML=We),Ot=a(t),d=l(t,"H2",{class:!0});var re=p(d);_=l(re,"A",{id:!0,class:!0,href:!0});var ei=p(_);wt=l(ei,"SPAN",{});var ii=p(wt);w(et.$$.fragment,ii),ii.forEach(e),ei.forEach(e),me=a(re),mt=l(re,"SPAN",{"data-svelte-h":!0}),r(mt)!=="svelte-vs3pz7"&&(mt.textContent=Ye),re.forEach(e),zt=a(t),it=l(t,"OL",{"data-svelte-h":!0}),r(it)!=="svelte-1wz0fdq"&&(it.innerHTML=je),Qt=a(t),w(nt.$$.fragment,t),Vt=a(t),G=l(t,"OL",{start:!0,"data-svelte-h":!0}),r(G)!=="svelte-1cndhv3"&&(G.innerHTML=qe),Kt=a(t),ot=l(t,"P",{"data-svelte-h":!0}),r(ot)!=="svelte-1gi8bl1"&&(ot.innerHTML=Be),Xt=a(t),P=l(t,"OL",{start:!0,"data-svelte-h":!0}),r(P)!=="svelte-1wu31pe"&&(P.innerHTML=Fe),Dt=a(t),v=l(t,"H2",{class:!0});var ue=p(v);H=l(ue,"A",{id:!0,class:!0,href:!0});var ni=p(H);kt=l(ni,"SPAN",{});var oi=p(kt);w(lt.$$.fragment,oi),oi.forEach(e),ni.forEach(e),fe=a(ue),ft=l(ue,"SPAN",{"data-svelte-h":!0}),r(ft)!=="svelte-1m6qk26"&&(ft.textContent=Ze),ue.forEach(e),Rt=a(t),st=l(t,"P",{"data-svelte-h":!0}),r(st)!=="svelte-ui06bn"&&(st.textContent=Oe),te=a(t),w(at.$$.fragment,t),ee=a(t),rt=l(t,"P",{"data-svelte-h":!0}),r(rt)!=="svelte-t1hkz2"&&(rt.innerHTML=ze),ie=a(t),w(ut.$$.fragment,t),ne=a(t),ht=l(t,"P",{"data-svelte-h":!0}),r(ht)!=="svelte-j4g221"&&(ht.textContent=Qe),this.h()},h(){u(c,"name","hf:doc:metadata"),u(c,"content",JSON.stringify(ci)),u(C,"id","signing-commits-with-gpg"),u(C,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(C,"href","#signing-commits-with-gpg"),u(g,"class","relative group"),u(b,"id","setting-up-signed-commits-verification"),u(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(b,"href","#setting-up-signed-commits-verification"),u(m,"class","relative group"),u(M,"id","generating-a-new-gpg-key"),u(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(M,"href","#generating-a-new-gpg-key"),u(f,"class","relative group"),u(_,"id","adding-a-gpg-key-to-your-account"),u(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(_,"href","#adding-a-gpg-key-to-your-account"),u(d,"class","relative group"),u(G,"start","3"),u(P,"start","4"),u(H,"id","configure-git-to-sign-your-commits-with-gpg"),u(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(H,"href","#configure-git-to-sign-your-commits-with-gpg"),u(v,"class","relative group")},m(t,i){h(document.head,c),n(t,Tt,i),n(t,g,i),h(g,C),h(C,dt),k(L,dt,null),h(g,pe),h(g,pt),n(t,$t,i),n(t,E,i),n(t,Ct,i),n(t,S,i),n(t,bt,i),n(t,A,i),n(t,Mt,i),n(t,I,i),n(t,_t,i),n(t,U,i),n(t,Gt,i),n(t,J,i),n(t,Pt,i),n(t,N,i),n(t,Ht,i),n(t,m,i),h(m,b),h(b,vt),k(W,vt,null),h(m,ce),h(m,ct),n(t,Lt,i),n(t,Y,i),n(t,Et,i),n(t,j,i),n(t,St,i),n(t,q,i),n(t,At,i),n(t,B,i),n(t,It,i),n(t,F,i),n(t,Ut,i),n(t,Z,i),n(t,Jt,i),n(t,O,i),n(t,Nt,i),n(t,z,i),n(t,Wt,i),n(t,Q,i),n(t,Yt,i),n(t,V,i),n(t,jt,i),n(t,f,i),h(f,M),h(M,yt),k(K,yt,null),h(f,ge),h(f,gt),n(t,qt,i),n(t,X,i),n(t,Bt,i),k(D,t,i),n(t,Ft,i),n(t,R,i),n(t,Zt,i),n(t,tt,i),n(t,Ot,i),n(t,d,i),h(d,_),h(_,wt),k(et,wt,null),h(d,me),h(d,mt),n(t,zt,i),n(t,it,i),n(t,Qt,i),k(nt,t,i),n(t,Vt,i),n(t,G,i),n(t,Kt,i),n(t,ot,i),n(t,Xt,i),n(t,P,i),n(t,Dt,i),n(t,v,i),h(v,H),h(H,kt),k(lt,kt,null),h(v,fe),h(v,ft),n(t,Rt,i),n(t,st,i),n(t,te,i),k(at,t,i),n(t,ee,i),n(t,rt,i),n(t,ie,i),k(ut,t,i),n(t,ne,i),n(t,ht,i),oe=!0},p:si,i(t){oe||(x(L.$$.fragment,t),x(W.$$.fragment,t),x(K.$$.fragment,t),x(D.$$.fragment,t),x(et.$$.fragment,t),x(nt.$$.fragment,t),x(lt.$$.fragment,t),x(at.$$.fragment,t),x(ut.$$.fragment,t),oe=!0)},o(t){T(L.$$.fragment,t),T(W.$$.fragment,t),T(K.$$.fragment,t),T(D.$$.fragment,t),T(et.$$.fragment,t),T(nt.$$.fragment,t),T(lt.$$.fragment,t),T(at.$$.fragment,t),T(ut.$$.fragment,t),oe=!1},d(t){t&&(e(Tt),e(g),e($t),e(E),e(Ct),e(S),e(bt),e(A),e(Mt),e(I),e(_t),e(U),e(Gt),e(J),e(Pt),e(N),e(Ht),e(m),e(Lt),e(Y),e(Et),e(j),e(St),e(q),e(At),e(B),e(It),e(F),e(Ut),e(Z),e(Jt),e(O),e(Nt),e(z),e(Wt),e(Q),e(Yt),e(V),e(jt),e(f),e(qt),e(X),e(Bt),e(Ft),e(R),e(Zt),e(tt),e(Ot),e(d),e(zt),e(it),e(Qt),e(Vt),e(G),e(Kt),e(ot),e(Xt),e(P),e(Dt),e(v),e(Rt),e(st),e(te),e(ee),e(rt),e(ie),e(ne),e(ht)),e(c),$(L),$(W),$(K),$(D,t),$(et),$(nt,t),$(lt),$(at,t),$(ut,t)}}}const ci={local:"signing-commits-with-gpg",sections:[{local:"setting-up-signed-commits-verification",title:"Setting up signed commits verification"},{local:"generating-a-new-gpg-key",title:"Generating a new GPG key"},{local:"adding-a-gpg-key-to-your-account",title:"Adding a GPG key to your account"},{local:"configure-git-to-sign-your-commits-with-gpg",title:"Configure git to sign your commits with GPG"}],title:"Signing commits with GPG"};function gi(de){return ai(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yi extends ri{constructor(c){super(),ui(this,c,gi,pi,li,{})}}export{yi as component};
